# petsc4py.PETSc.LogStage

class petsc4py.PETSc.LogStage

  Bases: `object`

  Logging support for different stages.

  Methods Summary

  `activate`() | Activate the stage.
  `deactivate`() | Deactivate the stage.
  `getActive`() | Check if the stage is activated.
  `getName`() | Return the current stage name.
  `getVisible`() | Return whether the stage is visible.
  `pop`() | Pop a stage from the logging stack.
  `push`() | Push a stage on the logging stack.
  `setActive`(flag) | Activate or deactivate the current stage.
  `setVisible`(flag) | Set the visibility of the stage.

  Attributes Summary

  `active` | Whether the stage is activate.
  `id` | The log stage identifier.
  `name` | The current stage name.
  `visible` | Whether the stage is visible.

  Methods Documentation

  activate()

    Activate the stage.

    Logically collective.

    See also

    `PetscLogStageSetActive`

    Source code at petsc4py/PETSc/Log.pyx:279

    Return type:

      None

  deactivate()

    Deactivate the stage.

    Logically collective.

    See also

    `PetscLogStageSetActive`

    Source code at petsc4py/PETSc/Log.pyx:291

    Return type:

      None

  getActive()

    Check if the stage is activated.

    Not collective.

    See also

    `PetscLogStageGetActive`

    Source code at petsc4py/PETSc/Log.pyx:303

    Return type:

      bool

  getName()

    Return the current stage name.

    Source code at petsc4py/PETSc/Log.pyx:262

    Return type:

      str

  getVisible()

    Return whether the stage is visible.

    Not collective.

    See also

    `LogStage.setVisible`, `PetscLogStageSetVisible`

    Source code at petsc4py/PETSc/Log.pyx:341

    Return type:

      bool

  pop()

    Pop a stage from the logging stack.

    Logically collective.

    See also

    `LogStage.push`, `PetscLogStagePop`

    Source code at petsc4py/PETSc/Log.pyx:247

    Return type:

      None

  push()

    Push a stage on the logging stack.

    Logically collective.

    See also

    `LogStage.pop`, `PetscLogStagePush`

    Source code at petsc4py/PETSc/Log.pyx:235

    Return type:

      None

  setActive(flag)

    Activate or deactivate the current stage.

    Logically collective.

    See also

    `PetscLogStageSetActive`

    Source code at petsc4py/PETSc/Log.pyx:317

    Parameters:

      flag (bool)

    Return type:

      None

  setVisible(flag)

    Set the visibility of the stage.

    Logically collective.

    Parameters:

      flag (bool) – `True` to make the stage visible, `False` otherwise.

    Return type:

      None

    See also

    `LogStage.getVisible`, `PetscLogStageSetVisible`

    Source code at petsc4py/PETSc/Log.pyx:355

  Attributes Documentation

  active

    Whether the stage is activate.

    Source code at petsc4py/PETSc/Log.pyx:331

  id

    The log stage identifier.

    Source code at petsc4py/PETSc/Log.pyx:215

  name

    The current stage name.

    Source code at petsc4py/PETSc/Log.pyx:268

  visible

    Whether the stage is visible.

    Source code at petsc4py/PETSc/Log.pyx:374